WordPress.org

Ready to get started?Download WordPress

Forums

BulletProof Security
[resolved] Compatibility with Newsletter Plugin (5 posts)

  1. Stefano Lissa
    Member
    Posted 7 months ago #

    Hi, I'm the author of Newsletter plugin (http://wordpress.org/plugins/newsletter/) and I have many users reporting that, when bullet proof is installed, some special links generated by Newsletter are blocked.

    For example link containing base 64 encoded parameters.

    I would ask if we can get in contact to find a way to be compatible each other!

    Thank you, Stefano Lissa (stefano@satollo.net)

    http://wordpress.org/plugins/bulletproof-security/

  2. AITpro
    Member
    Plugin Author

    Posted 7 months ago #

    post an example link/URI/URL so that I can test it to see what is being blocked or if you have access to a site where this issue is occurring then post the BPS Security Log entry logged for this issue.

  3. AITpro
    Member
    Plugin Author

    Posted 7 months ago #

    duplicated Thread - deleted

  4. AITpro
    Member
    Plugin Author

    Posted 7 months ago #

    Or post the steps to generate a base64 encoded URL/special link and I will do live testing with Newsletter.

  5. Stefano Lissa
    Member
    Posted 7 months ago #

  6. AITpro
    Member
    Plugin Author

    Posted 7 months ago #

    Yes, BPS is blocking this URL because it contains an url encoded single quote (the #1 MOST dangerous coding character if used maliciously) code character at the end of the URL %27.

    See this Forum Topic for the solution:
    http://forum.ait-pro.com/forums/topic/apostrophe-single-quote-code-character/#post-6939

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.